Bug 182241 - Squid with diskd cache_dir crashes
Squid with diskd cache_dir crashes
Status: CLOSED WONTFIX
Product: Fedora Legacy
Classification: Retired
Component: squid (Show other bugs)
fc2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Fedora Legacy Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-21 06:19 EST by Lucas Maneos
Modified: 2007-04-18 13:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-13 10:54:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lucas Maneos 2006-02-21 06:19:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20060202 Fedora/1.0.7-1.2.fc4 Firefox/1.0.7

Description of problem:
When squid is configured to use a diskd cache_dir it crashes randomly - cache.log always shows:

asertion failed: stmem.c:93: "current_offset == target_offset"

when this happens.


Version-Release number of selected component (if applicable):
squid-2.5.STABLE9-1.FC2.4.legacy

How reproducible:
Sometimes

Steps to Reproduce:
1. Configure squid with a diskd cache_dir
2. Configure a browser to use squid as a proxy
3. Browse a bit
  

Actual Results:  Squid crashes.  Usually I get the HTML content of a page but no subsequent requests on the same page (CSS, javascript, images etc).

Expected Results:  Normal operation.

Additional info:

This was previously seen with squid-2.5.STABLE9-1.FC2.2 and fixed (squid-2.5.STABLE9-1.FC2.2.i386 was fine), but was reintroduced with squid-2.5.STABLE9-1.FC2.4.legacy.

See also https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=152966
Comment 1 Marc Deslauriers 2006-02-21 19:11:47 EST
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Please try out these test packages to see if they
resolve the issue and report back here, please:

253603f47cab21b16d53b42f94053ef744ad978e  squid-2.5.STABLE9-1.FC2.5.legacy.i386.rpm
34c4a53a9ea169446a10c1aadc4c8b859b53b6de  squid-2.5.STABLE9-1.FC2.5.legacy.src.rpm

http://www.infostrategique.com/linuxrpms/marc/squid-test/



-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.1 (GNU/Linux)

iD8DBQFD+64NLMAs/0C4zNoRAnOHAJ9DIZyyPrKhdJpFyR0on/13cbBU2wCeM39l
/W2UXfcx8dcPuMEGzlK1P5M=
=iIEZ
-----END PGP SIGNATURE-----
Comment 2 Lucas Maneos 2006-02-22 03:51:22 EST
Thanks for that.  I have been running it since yesterday, looks good so far.
Comment 3 Pekka Savola 2006-03-14 00:33:47 EST
Still work OK?
Comment 4 Lucas Maneos 2006-03-14 04:01:14 EST
Yes, it's been working fine ever since.
Comment 5 Jesse Keating 2006-08-13 10:54:03 EDT
Not really a security issue, FC2 no longer supported.

Note You need to log in before you can comment on or make changes to this bug.